Bug 1836640 - libwebp-tools: vwebp is installed as a libtool wrapper script
Summary: libwebp-tools: vwebp is installed as a libtool wrapper script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libwebp
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-17 15:14 UTC by cfaszholz
Modified: 2020-05-24 03:27 UTC (History)
2 users (show)

Fixed In Version: libwebp-1.1.0-3.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-24 03:27:50 UTC
Type: Bug


Attachments (Terms of Use)

Description cfaszholz 2020-05-17 15:14:17 UTC
Description of problem:
The libwebp-tools package installs /usr/bin/vwebp as a libtool wrapper script  instead of a binary. 

Version-Release number of selected component:
libwebp-1.1.0-2.fc32.src.rpm

How reproducible:
1. $ sudo dnf install libwebp-tools
2. $ vwebp

Actual results:
----
mkdir: cannot create directory ‘/usr/bin/.libs’: Permission denied
/usr/bin/vwebp: line 202: cd: /builddir/build/BUILD/libwebp-1.1.0/examples:    No such file or directory
gcc: error: vwebp-vwebp.o: No such file or directory
gcc: error: ./.libs/libexample_util.a: No such file or directory
gcc: error: ../imageio/.libs/libimageio_util.a: No such file or directory
gcc: error: ../src/demux/.libs/libwebpdemux.so: No such file or directory
gcc: error: /builddir/build/BUILD/libwebp-1.1.0/src/.libs/libwebp.so: No such file or directory
gcc: error: ../src/.libs/libwebpdecoder.so: No such file or directory
----

Comment 1 Fedora Update System 2020-05-18 08:41:06 UTC
FEDORA-2020-5849438294 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5849438294

Comment 2 cfaszholz 2020-05-18 15:01:45 UTC
Sandro, thanks for your prompt attention -- the libwebp-1.1.0-3.fc32_x86_64 build correctly installs vwebp. I don't have an FAS account to give it some karma.

Comment 3 Fedora Update System 2020-05-19 04:41:46 UTC
FEDORA-2020-5849438294 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5849438294`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5849438294

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-05-24 03:27:50 UTC
FEDORA-2020-5849438294 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.